#include "mbed.h"              
#include "GDEP015OC1.h"
#include "acd52832_bsp.h"
#include "MCP23017.h"
#include "LSM9DS1.h"


#define V0 0.48          //In volts
#define TC 0.01          //In volts
#define VCC (3.3)

#define DECLINATION  3.49f //Magnetic declination
#define PI           3.14f
#define CALIBRATION  1024.0f/945.0f
/*
 * Pin configuration on IO Expander
 */
#define CENTER       7
#define LEFT         5    
#define RIGHT        3
#define UP           6
#define DOWN         4
#define SW2          8
#define LED2         9
#define REL1        11
#define REL2        10

#define DEBUG        0
#define START_INDEX 1

#define DEBOUNCE    50
#define IR_TICKER   0.15         // Call IR_LED function every 1.5 ms

// Definitions of the location within MSD for the data
#define ADV_TYPE    (4)
#define TEMPERATURE (5)
#define LIGHT       (9)
#define JOY_BUTTONS (13)
#define GYRO        (5)
#define ACC         (11)
#define MAGNETO     (17)

#define UP_BIT      (7)
#define DOWN_BIT    (6)
#define LEFT_BIT    (5)
#define RIGHT_BIT   (4)
#define CENTER_BIT  (3)
#define SW2_BIT     (1)
#define SW1_BIT     (0)

#define ADV_CHANGE_INTERVAL (0.2)     // Beacon adv time in seconds
#define NUM_OF_MENUS   (13)


SPI spi(p3, NC, p4);
I2C i2c(PIN_EXP_SDA, PIN_EXP_SCL);

GDEP015OC1 epd = GDEP015OC1(spi, p5, p6, p7, p8);
//LSM9DS1 mems = LSM9DS1(i2c);
//MCP23017 expdr = MCP23017(PIN_EXP_SDA, PIN_EXP_SCL, TWI_EXPANDER_ADDR);
//JUST WORKING WHEN THIS TWO LINES ARE NOT USED

/*DigitalIn sw(PIN_BUTTON);
DigitalOut led_r(PIN_LED_RED);
DigitalOut led_g(PIN_LED_GREEN);
DigitalOut led_b(PIN_LED_BLUE);
DigitalOut IrLED(PIN_IRLED);
AnalogIn ldr(ADC_LIGHT);
AnalogIn pot(ADC_POT);*/
//AnalogIn temp(ADC_TEMP);


int main() {
	epd.writeString("Hallo",100,100,0);
	epd.write();
}
